package com.cim.idm.mwmsextend.transport.management.data;


import java.sql.Timestamp;

import com.cim.idm.framework.orm.info.HistoryDataInfo;
import com.cim.idm.framework.orm.info.access.FieldAccessor;

public class TransportCommandDetailHistory extends FieldAccessor implements
		HistoryDataInfo<TransportCommandDetailHistoryKey> {
	
	private TransportCommandDetailHistoryKey key;
	
	private String state;
	
	private String packingGroupName;
	
	private Timestamp createTime;
	
	private Timestamp endTime;
	
	//Event 
	private String eventName;
	private Timestamp eventTime;
	private String eventUser;
	private String eventComment;
	private String reasonCodeType;
	private String reasonCode;	
	
	@Override
	public TransportCommandDetailHistoryKey getKey() {
		return key;
	}

	@Override
	public void setKey(TransportCommandDetailHistoryKey keyInfo) {
		this.key = keyInfo;
	}

	public String getState() {
		return state;
	}

	public void setState(String state) {
		this.state = state;
	}

	public String getPackingGroupName() {
		return packingGroupName;
	}

	public void setPackingGroupName(String packingGroupName) {
		this.packingGroupName = packingGroupName;
	}

	public Timestamp getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Timestamp createTime) {
		this.createTime = createTime;
	}

	public Timestamp getEndTime() {
		return endTime;
	}

	public void setEndTime(Timestamp endTime) {
		this.endTime = endTime;
	}

	public String getEventName() {
		return eventName;
	}

	public void setEventName(String eventName) {
		this.eventName = eventName;
	}

	public Timestamp getEventTime() {
		return eventTime;
	}

	public void setEventTime(Timestamp eventTime) {
		this.eventTime = eventTime;
	}

	public String getEventUser() {
		return eventUser;
	}

	public void setEventUser(String eventUser) {
		this.eventUser = eventUser;
	}

	public String getEventComment() {
		return eventComment;
	}

	public void setEventComment(String eventComment) {
		this.eventComment = eventComment;
	}

	public String getReasonCodeType() {
		return reasonCodeType;
	}

	public void setReasonCodeType(String reasonCodeType) {
		this.reasonCodeType = reasonCodeType;
	}

	public String getReasonCode() {
		return reasonCode;
	}

	public void setReasonCode(String reasonCode) {
		this.reasonCode = reasonCode;
	}

	
}
